/* ---------------------
/* page single d'article
------------------------ */
.titre-section{
	font-size:60px !important;
}
.wp-block-cover{
	position:relative;
	&::before{
		content:"";
		position:absolute;
		height:100%;
		width:100%;
		background: linear-gradient(180deg,rgba(15, 15, 15, 1) 0%, rgba(13, 13, 13, 0.5) 50%, rgba(15, 15, 15, 0) 100%);
		top:0;
		left:0;
		z-index:1;
	}
	& h1{
		position:relative;
		z-index:2;
		font-size:60px;
		font-family:'Rambla' !important;
		color:white;
		width:60%;
		margin:120px auto 90px;
	}
}
.post-container-single {
	margin:50px auto !important;
	width:65%;
	& h2{
		margin: 10px 0 20px 0;
		max-width:750px;
		font-size:35px;
	}
	& h3{
		font-size:28px !important;
		text-transform:uppercase;
		line-height:1;
	}
	& .meta{
		display:none;
	}
	& .wp-block-post-date{
		font-size:1rem;
		margin:0;
	}
	& figure{
		padding:0;
	}
	& .wp-block-button{
		margin:10px 0;
 		& a{
		border:1px solid;
		font-size:0.9rem;
		transition: all ease-in-out 0.2s;
			&:hover{
				background-color:white;
				color:#0F0F0F;
				transition: all ease-in-out 0.2s;
			}
	}
	}
	.wp-block-latest-posts__featured-image{
		& img{
			aspect-ratio:3/2;
			object-fit:cover;
		}
	}
	& hr{
		border-top:0.5px solid;
	}
}



/* -----------------------------------------
---------------- responsive ----------------
----------------------------------------- */

@media screen and (max-width:992px){
	.titre-section{
		font-size:50px !important;
	}
	.wp-block-cover {
		min-height:400px !important;
  & h1 {
		font-size:50px;
    width: 60%;
    margin: 100px auto 50px;
  }
}
	.post-container-single {
	& h2{
		max-width:auto;
		font-size:25px;
	}
	& h3{
		font-size:22px !important;
	}
	}
}

@media screen and (max-width:576px){
	.titre-section{
		font-size:40px !important;
	}
	.wp-block-cover {
		min-height:300px !important;
  & h1 {
		width:80%;
		font-size:40px;
  }
}
	.post-container-single {
		width:80%;
	& h2{
		font-size:20px;
	}
	& h3{
		font-size:20px !important;
	}
	}
}

/* boucle d'articles sur la page news */
.hfe-posts-grid{
	& img{
		aspect-ratio:3/2;
		object-fit:cover;
	}
	& a{
		transition:all 0.2s ease-in-out;
	}
}
